# Delete a workflow

> **DELETE** `https://api.us.nylas.com/v3/grants/{grant_id}/workflows/{workflow_id}`

Source: https://developer.nylas.com/docs/reference/api/grant-level-workflows/delete-grant-workflow/

Deletes the specified grant-level workflow.

**Authentication:** NYLAS_API_KEY, ACCESS_TOKEN

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `grant_id` | string | Yes | ID of the grant to access. You can also use the email address associated with the grant, or use `/me/` to refer to the grant associated with an access token. |
| `workflow_id` | string | Yes | The ID of the workflow to access. |

## Responses

### 200 - Success: Object deleted

- `request_id` (string) **(required)** - The ID of the request.

### 400 - Bad Request

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.
  - `provider_error` (object) - The error from the provider.

## Code samples

### cURL

```bash
curl --request DELETE \
  --url "https://api.us.nylas.com/v3/grants/<NYLAS_GRANT_ID>/workflows/<WORKFLOW_ID>" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>' \
  --header 'Content-Type: application/json'
```
